html {
  box-sizing: border-box;
  font-family: 'Rubik', sans-serif;
}

body {
  margin: 0;
  padding: 0;
  position: relative;
  overflow-x: hidden;
  height: 100vh;
}

body::before {
  content: '';
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: -1;
  pointer-events: none;
  background: url("../Images/background/session1.webp");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
  opacity: 1;
}

body::after {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(to right,
      #3580d1 0%,
      #3580d1 6%,
      rgba(53, 128, 209, 1) 6%,
      rgba(53, 128, 209, 0) 15%,
      rgba(53, 128, 209, 0) 85%,
      rgba(53, 128, 209, 1) 94%,
      #3580d1 94%,
      #3580d1 100%);
  z-index: -1;
}

.background-image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: auto;
  z-index: -1;
  opacity: .3;
}

.mobile-menu {
  display: none;
}

.icon-left {
  position: fixed;
  left: 5vw;
  width: auto;
  height: 6vh;
  transform: translateX(-50%);
  opacity: 0.3;
}

.icon-right {
  position: fixed;
  left: 95vw;
  width: auto;
  height: 6vh;
  transform: translateX(-50%);
  opacity: 0.3;
}

.icon-incarnation {
  top: 17vh;
}

.icon-cross {
  top: 32vh;
}

.icon-grave {
  top: 47vh;
}

.icon-accension {
  top: 62vh;
}

.icon-return {
  top: 77vh;
}

.center-container {
  position: relative;
  top: 15vh;
  left: 10vw;
  display: grid;
  grid-template-rows: auto auto;
  height: 85vh;
}

.video_container {
  display: grid;
  place-items: center;
  /* Centers both horizontally and vertically */
  position: relative;
  max-height: 70vh;
  width: 80vw;
}

.button-main-container {
  display: grid;
  grid-template-columns: auto auto;
  /* Two rows */
  max-height: 20vh;
  width: 80vw;
}

.video-background {
  grid-area: 1 / 1;
  height: 60vw;
  max-height: 70vh;
  max-width: 80vw;
  opacity: .85;
}

.video-cover {
  grid-area: 1 / 1;
  height: auto;
  width: 55vw;
  max-width: 65vh;
  z-index: 4;
}

lite-youtube {
  grid-area: 1 / 1;
  height: auto;
  width: 55vw;
  max-width: 65vh;
  z-index: 1;
}

video {
  grid-area: 1 / 1;
  height: auto;
  width: 55vw;
  max-width: 65vh;
  z-index: 3;
}

.button-container-left {
  display: grid;
  align-items: center;
  position: relative;
  max-height: 20vh;
  padding-bottom: 10vh;
  margin-left: 22vw;
}

.button-container-right {
  display: grid;
  align-items: center;
  position: relative;
  max-height: 20vh;
  padding-bottom: 10vh;
  margin-right: 20vw;
}

.button-header {
  grid-area: 1 / 1;
  width: auto;
  height: 10vw;
  max-height: 10vh;
  z-index: 1;
  pointer-events: none;
}

.button-banner {
  grid-area: 1 / 1;
  width: 16vw;
  height: 5vw;
  max-height: 5vh;
  opacity: 0.8;
}

.button-banner:hover {
  opacity: 1;
}

.button-text {
  grid-area: 1 / 1;
  width: auto;
  font-size: clamp(1.5vh, 3vw, 3vh);
  max-height: 4vh;
  z-index: 2;
  pointer-events: none;
  margin-left: 2vw;
}

#intro-header {
  padding-right: 0vw;
}

#intro-banner {
  background-color: #8485b5;
}

#intro-text {
  padding-right: 0vw;
}

#promo-banner {
  background-color: #88aed2;
}

#promo-text {
  padding-left: 0vw;
}

@media screen and (max-width: 768px) and (orientation: portrait) {

  html {
    padding-left: 0vw;
    padding-right: 0vw;
  }

  body {
    width: 100vw;
  }

  .desktop-menu {
    display: none;
  }

  .mobile-menu {
    display: block;
  }

  body::before {
    left: 0;
    width: 100vw;
  }

  .center-container {
    left: 0px;
    top: 5vh;
  }

  .icon-left {
    display: none;
  }

  .icon-right {
    display: none;
  }

  .video_container {
    width: 100vw;
  }

  .video-background {
    grid-area: 1 / 1;
    height: 77vw;
    width: 100vw;
    max-width: 100vw;
    padding-bottom: 2vw;
  }

  video {
    width: 75vw;
    max-width: 75vw;
  }

  .video-cover {
    width: 75vw;
    max-width: 75vw;
  }

  lite-youtube {
    width: 75vw;
    max-width: 75vw;
  }

  .button-main-container {
    display: flex;
    flex-direction: column;
    /* stack children vertically */
    align-items: center;
    /* center children horizontally */
    position: relative;
    left: 10vw;
    width: 80vw;
  }

  .button-container-left {
    max-height: 100vh;
    padding-bottom: 2vw;
    margin-left: 0;
  }

  .button-container-right {
    max-height: 100vh;
    padding-bottom: 0;
    margin-right: 0;
  }

  .button-header {
    height: 3rem;
  }

  .button-banner {
    width: 8rem;
    height: 1.5rem;
  }

  .button-text {
    font-size: 1rem;
  }
}

@media screen and (max-height: 768px) and (orientation: landscape) {

  html {
    padding-left: 0vw;
    padding-right: 0vw;
  }

  body {
    width: 100vw;
  }

  .desktop-menu {
    display: none;
  }

  .mobile-menu {
    display: block;
  }

  body::before {
    left: 0;
    width: 100vw;
  }

  .center-container {
    left: 0px;
    top: 0px;
    height: 100vh;
  }

  .icon-left {
    display: none;
  }

  .icon-right {
    display: none;
  }

  .video_container {
    width: 100vw;
    height: 100vh;
    max-height: 100vh;
  }

  .video-background {
    display: none;
  }

  video {
    margin-top: 10vh;
    height: 80vh;
    width: auto;
    max-width: 100vw;
  }

  .video-cover {
    margin-top: 10vh;
    height: 81vh;
    width: auto;
    max-width: 100vw;
  }

  lite-youtube {
    margin-top: 10vh;
    height: 80vh;
    width: 141vh;
    max-width: 100vw;
  }

  .button-main-container {
    display: none;
  }

  .button-container-left {
    max-height: 100vh;
    padding-bottom: 2vw;
    margin-left: 0;
  }

  .button-container-right {
    max-height: 100vh;
    padding-bottom: 0;
    margin-right: 0;
  }

  .button-header {
    height: 3rem;
  }

  .button-banner {
    width: 8rem;
    height: 1.5rem;
  }

  .button-text {
    font-size: 1rem;
  }
}